OpenLDAP for Debian

Preview Packages for OpenLDAP 2.2

We are working on packaging OpenLDAP 2.2 for sarge. Please help by testing the current packages. You need the following entry in your /etc/apt/sources.list:
deb http://pkg-openldap.alioth.debian.org openldap2.2/
The packages in question are:
slapd
The OpenLDAP server daemon
ldap-utils
Utilities for the OpenLDAP server
Note that libldap2.2 will get installed as well, but it is only used by the slapd server now. Client packages will continue to use the old libldap2 package to avoid ripple effects. This is also the reason why there is not libldap2.2-dev. Please write any comments you have to the BTS so it is on public record. Note that the openldap2.2 source package does not currently exist for the BTS as the packages are still in incoming so please report against slapd, ldap-utils or libldap2 respectively. Thanks a lot! -- Torsten Landschoff, OpenLDAP maintainer

Backport packages for woody

For woody backport packages, you should add the following lines to your /etc/apt/sources.list:

# DB 4.1
deb http://people.debian.org/~cjwatson/subversion-woody ./

# SASL 2.1
deb http://people.debian.org/~hmh/woody/ hmh/cyrus/

# libltdl 1.4.3 and OpenLDAP 2.1
deb http://pkg-openldap.alioth.debian.org/woody ./

Use those packages at your own risk! For questions and feedback, contact us at debian-openldap@snowman.net.

Debugging packages

There are some sid/i386 compatible packages of OpenLDAP with debugging enabled on this server as well. Put this in your /etc/apt/sources.list:

# OpenLDAP debugging packages
deb http://pkg-openldap.alioth.debian.org/debug ./